#include <tads.h>

/*
 * An XTads test game.
 * Banner whose contents overflow size, and banner is configured for more prompts.
 */
main(args)
{
	local b0 = nil;
    
    "A banner test game for XTads.\b\b";

    local b1 = bannerCreate(b0, BannerFirst, nil, BannerTypeText, BannerAlignTop,
                       5, BannerSizeAbsolute,
                       BannerStyleMoreMode);
    for (local i = 1; i <= 19; i++) {
        bannerSay(b1, 'b1 line ' + i + '<br>');
    }

    "\bPress another key to exit...\n";
    inputKey();
}
